Subject: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jun 2018 14:03:01 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 30 Jun 2018 09:33:48 +0100
> 
>    The point here is that if modification hook sees the whole file as
>    changed, Eglot is just as inneficient as the server.

Not the whole file, the whole narrowed region.  But anyway, I posted a
followup that should do what you want, I think.

> Thanks very much for the optimization efforts, I'll try to do some
> benchmarks once they are in master (they aren't yet right?)

They are on emacs-26, but you could just apply them by hand...